function [T,Y]=nde1d(t,y0)
% NDE1D - a 1D nonlinear differential equation
%         dy/dt - 0.5*sin(y) = 0
% [T,Y]=nde1d(t,y0)
% INPUT 
%      t - time vector/span for which the solution should be calculated
%     y0 - initial condition
% OUTPUT
%      Y - solution 
%      T - time index
options = odeset('RelTol',1e-4,'AbsTol',[1e-4]);
[T,Y] = ode45(@nonlindif,t,y0,options);


function dy=nonlindif(t,y)
% Here we simply write the differential equation moving
% the first derivative to the left and everything
% else to the right of the equality sign.
% dy - 0.5*sin(y) =0  ->  dy = 0.5*sin(y) 
dy=0.5 * sin(y);

